package com.vazil.vridge.docs.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import nonapi.io.github.classgraph.json.Id;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Set;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document(value= "guide")
@Data
public class Guide implements Serializable {
    private static final long serialVersionUID = 1928367242L;
    @Id
    private String id;
    private String parentId;
    private String title;
    private Integer order;
    private Integer like;
    private Integer view;
    private String contentKey;
    private Set<String> keywordSet;

    @CreatedDate
    private LocalDateTime createDate;
    @LastModifiedDate
    private LocalDateTime updateDate;
    private LocalDateTime deleteDate;

    @Transient
    List<Guide> children;

    @Transient
    private Guide prevContent;
    @Transient
    private Guide nextContent;

}
